static void metadata_eevee_horizon_denoise_comp_glsl(GPUSource &source, GPUFunctionDictionnary *g_functions, GPUPrintFormatMap *g_formats) {
  source.add_builtin(metadata::Builtin(14753491627235796485LLU));
  source.add_builtin(metadata::Builtin(13135399807675160830LLU));
  source.add_dependency("draw_view_lib.glsl");
  source.add_dependency("eevee_filter_lib.glsl");
  source.add_dependency("eevee_sampling_lib.glsl");
  source.add_dependency("eevee_spherical_harmonics_lib.glsl");
  source.add_dependency("gpu_shader_math_vector_lib.glsl");
  source.add_dependency("gpu_shader_utildefines_lib.glsl");
  UNUSED_VARS(source, g_functions, g_formats);
}
